// --------------------------------------------------------------------------------------------------------------------
// <summary>
//    Defines the FirstView type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------
using Cirrious.MvvmCross.Binding.Touch.Views;


namespace Chat5.iOS.Views
{
    using System.Drawing;

    using Cirrious.MvvmCross.Binding.BindingContext;

    using Core.ViewModels;
    using MonoTouch.Foundation;
    using MonoTouch.UIKit;

    /// <summary>
    /// Defines the FirstView type.
    /// </summary>
    [Register("FirstView")]
    public partial class FirstView : BaseView
    {
        public FirstView()
            : base("FirstView", null)
        {

        }
        /// <summary>
        /// Views the did load.
        /// </summary>
        /// <summary>
        /// Called when the View is first loaded
        /// </summary>
        public override void ViewDidLoad()
        {
            NavigationController.NavigationBarHidden = true;
            //			this.View = new UIView { BackgroundColor = UIColor.White };

            base.ViewDidLoad();

            //			UILabel uiLabel = new UILabel(new RectangleF(10, 10, 300, 40));
            //			View.AddSubview(uiLabel);
            //			UITextField uiTextField = new UITextField(new RectangleF(10, 50, 300, 40));
            //			View.AddSubview(uiTextField);

            var source = new MvxStandardTableViewSource(tableMessages, UITableViewCellStyle.Subtitle, new NSString("z"),
                "DetailText Message;TitleText Author");
            tableMessages.Source = source;
            var set = this.CreateBindingSet<FirstView, FirstViewModel>();
            set.Bind(txtMessage).To(x => x.Message);
            set.Bind(btnSend).To(x => x.SendCommand);
            set.Bind(source).To(x => x.Messages);
            //			set.Bind(uiLabel).To(vm => vm.MyProperty);
            //			set.Bind(uiTextField).To(vm => vm.MyProperty);
            set.Apply();

            UITapGestureRecognizer tap = new UITapGestureRecognizer(() => txtMessage.ResignFirstResponder());
            View.AddGestureRecognizer(tap);
        }
    }
}
